Loading...
Searching...
No Matches
osmo_oap_client_state Struct Reference

`#include <oap_client.h>`

## Public Types

enum | { OSMO_OAP_UNINITIALIZED = 0 , OSMO_OAP_DISABLED , OSMO_OAP_INITIALIZED , OSMO_OAP_REQUESTED_CHALLENGE , OSMO_OAP_SENT_CHALLENGE_RESULT , OSMO_OAP_REGISTERED }

## Data Fields

enum osmo_oap_client_state:: { ... } | state
uint16_t | client_id
uint8_t | secret_k [16]
uint8_t | secret_opc [16]
int | registration_failures

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
OSMO_OAP_UNINITIALIZED |
OSMO_OAP_DISABLED |
OSMO_OAP_INITIALIZED |
OSMO_OAP_REQUESTED_CHALLENGE |
OSMO_OAP_SENT_CHALLENGE_RESULT |
OSMO_OAP_REGISTERED |

## Field Documentation

## client_id

uint16_t osmo_oap_client_state::client_id

Referenced by osmo_oap_client_init(), and osmo_oap_client_register().

## registration_failures

int osmo_oap_client_state::registration_failures

Referenced by osmo_oap_client_handle().

## secret_k

uint8_t osmo_oap_client_state::secret_k[16]

Referenced by oap_evaluate_challenge(), and osmo_oap_client_init().

## secret_opc

uint8_t osmo_oap_client_state::secret_opc[16]

Referenced by oap_evaluate_challenge(), and osmo_oap_client_init().

## []

enum { ... } osmo_oap_client_state::state

Referenced by handle_challenge(), oap_evaluate_challenge(), osmo_oap_client_handle(), osmo_oap_client_init(), and osmo_oap_client_register().

The documentation for this struct was generated from the following file:

- include/osmocom/gsm/oap_client.h